.relative {
    position: relative
}

.d-block {
    display: block
}

.d-inline {
    display: inline-block
}

.d-grid {
    display: -ms-grid;
    display: grid
}
.grid-reverse{
    grid-auto-flow: column-reverse
 }
.d-flex {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.d-none {
    display: none
}

.d-flex-column {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column
}

.d-flex-wrap {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap
}

.self-end {
    -ms-flex-item-align: end;
    align-self: flex-end
}

.flex-center {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.flex-start {
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start
}

.flex-end {
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end
}
.flex-reverse {
    flex-direction: row-reverse;
}
.just-between {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.just-around {
    -ms-flex-pack: distribute;
    justify-content: space-around
}

.just-center {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center
}

.just-end {
    justify-content: flex-end
}

.just-start {
    justify-content: flex-start
}

.align-center {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.align-start {
    -webkit-box-align: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start
}

.align-end {
    align-items: flex-end
}

.grow-1 {
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1
}

.grow-2 {
    -webkit-box-flex: 2;
    -ms-flex-positive: 2;
    flex-grow: 2
}

.grow-3 {
    -webkit-box-flex: 3;
    -ms-flex-positive: 3;
    flex-grow: 3
}

.grow-4 {
    -webkit-box-flex: 4;
    -ms-flex-positive: 4;
    flex-grow: 4
}

.grow-5 {
    -webkit-box-flex: 5;
    -ms-flex-positive: 5;
    flex-grow: 5
}

.grow-6 {
    -webkit-box-flex: 6;
    -ms-flex-positive: 6;
    flex-grow: 6
}

.grow-7 {
    -webkit-box-flex: 7;
    -ms-flex-positive: 7;
    flex-grow: 7
}

.grow-8 {
    -webkit-box-flex: 8;
    -ms-flex-positive: 8;
    flex-grow: 8
}

.top-auto {
    margin-top: auto
}

.bt-auto {
    margin-bottom: auto
}

.lt-auto {
    margin-left: auto
}

.rt-auto {
    margin-right: auto
}
.text-justify {
    text-align: justify
}
.text-center {
    text-align: center
}
.text-left {
    text-align: left
}
.text-right {
    text-align: right
}
@media(max-width:600px) {
    .text-mb-center {
        text-align: center
    }
}

.btns-center {
    text-align: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-top: 20px;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap
}

.btns-center .btn {
    margin: 4px
}

.full-width {
    width: 100%;
    flex-basis: 100%
}

.icon-right {
    margin-left: 5px
}

.icon-left {
    margin-right: 5px
}

.fix-mr5 {
    margin-left: -5px;
    margin-right: -5px
}

.fix-mr10 {
    margin-left: -10px;
    margin-right: -10px
}

.fix-mr15 {
    margin-left: -15px;
    margin-right: -15px
}

.fix-mr20 {
    margin-left: -20px;
    margin-right: -20px
}

.fix-mr30 {
    margin-left: -30px;
    margin-right: -30px
}

.two-item {
    margin: 15px;
    -ms-flex-preferred-size: 500px;
    flex-basis: 500px;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
    padding: 20px;
    border-radius: 10px
}

@media(max-width:724px) {
    .three-item:first-child {
        -webkit-box-ordinal-group: 3;
        -ms-flex-order: 2;
        order: 2
    }
}

.m-show {
    display: none
}

@media(max-width:874px) {
    .m-show {
        display: block;
        font-weight: 300;
        white-space: nowrap;
        font-size: .8em;
        color: #999;
        width: 100%
    }

    .m-hide {
        display: none !important
    }
}

.pd-5 {
    padding: 5px
}

.pd-10 {
    padding: 10px
}

.pd-15 {
    padding: 15px
}

.pd-20 {
    padding: 20px
}

.pd-30 {
    padding: 20px
}

.pd-td-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important
}

.pd-30 {
    padding: 30px
}

.pd-t-5 {
    padding-top: 5px
}

.pd-t-10 {
    padding-top: 10px
}

.pd-t-20 {
    padding-top: 20px
}

.pd-t-30 {
    padding-top: 30px
}

.pd-t-40 {
    padding-top: 40px
}

.pd-t-50 {
    padding-top: 50px
}

.pd-d-5 {
    padding-bottom: 5px
}

.pd-d-10 {
    padding-bottom: 10px
}

.pd-d-20 {
    padding-bottom: 20px
}

.pd-d-30 {
    padding-bottom: 30px
}

.pd-d-40 {
    padding-bottom: 40px
}

.pd-d-50 {
    padding-bottom: 50px
}
.pd-td-2 {
    padding-top: 2px;
    padding-bottom: 2px
}
.pd-td-5 {
    padding-top: 5px;
    padding-bottom: 5px
}

.pd-td-10 {
    padding-top: 10px;
    padding-bottom: 10px
}

.pd-td-20 {
    padding-top: 20px;
    padding-bottom: 20px
}

.pd-td-15 {
    padding-top: 15px;
    padding-bottom: 15px
}

.pd-td-20 {
    padding-top: 20px;
    padding-bottom: 20px
}

.pd-td-30 {
    padding-top: 30px;
    padding-bottom: 30px
}

.pd-td-35 {
    padding-top: 35px;
    padding-bottom: 35px
}

.pd-td-40 {
    padding-top: 40px;
    padding-bottom: 40px
}

.pd-td-50 {
    padding-top: 50px;
    padding-bottom: 50px
}

.pd-td-100 {
    padding-top: 100px;
    padding-bottom: 100px
}


.pd-t-100 {
    padding-top: 150px
}

.pd-td-150 {
    padding-top: 150px;
    padding-bottom: 150px
}

.pd-lr-10 {
    padding-left: 10px;
    padding-right: 10px
}

.pd-lr-15 {
    padding-left: 15px;
    padding-right: 15px
}

.pd-lr-20 {
    padding-left: 20px;
    padding-right: 20px
}

.pd-lr-30 {
    padding-left: 30px;
    padding-right: 30px
}

.pd-lr-40 {
    padding-left: 40px;
    padding-right: 40px
}

.overhide {
    overflow: hidden
}

.m-auto {
    margin: 0 auto
}

.m-0 {
    margin: 0
}

.m-5 {
    margin: 5px
}

.m-10 {
    margin: 10px
}

.m-15 {
    margin: 15px
}

.m-20 {
    margin: 20px
}

.m-30 {
    margin: 30px
}

.mt-5 {
    margin-top: 5px
}

.mt-10 {
    margin-top: 10px
}

.mt-15 {
    margin-top: 10px
}

.mt-20 {
    margin-top: 20px
}

.mt-30 {
    margin-top: 30px
}

.mt-40 {
    margin-top: 40px
}

.mt-50 {
    margin-top: 50px
}

.mt-60 {
    margin-top: 60px
}

.mt-70 {
    margin-top: 70px
}
.mt-100 {
    margin-top: 100px
}

.mt-150 {
    margin-top: 150px
}

.mb-5 {
    margin-bottom: 5px
}

.mb-10 {
    margin-bottom: 10px
}

.mb-20 {
    margin-bottom: 20px
}

.mb-30 {
    margin-bottom: 30px
}

.mb-40 {
    margin-bottom: 40px
}

.mb-50 {
    margin-bottom: 50px
}
.mb-150 {
    margin-bottom: 50px
}
.m-td-5 {
    margin-top: 5px;
    margin-bottom: 5px
}

.m-td-10 {
    margin-top: 10px;
    margin-bottom: 10px
}

.m-td-20 {
    margin-top: 20px;
    margin-bottom: 20px
}

.m-td-30 {
    margin-top: 30px;
    margin-bottom: 30px
}
.m-td-40 {
    margin-top: 40px;
    margin-bottom: 40px
}
.m-td-50 {
    margin-top: 40px;
    margin-bottom: 40px
}


.ml-5 {
    margin-left: 5px;
}
.ml-10 {
    margin-left: 10px;
}
.ml-15 {
    margin-left: 15px;
}
.ml-20 {
    margin-left: 20px;
}
.ml-30 {
    margin-left: 30px;
}

.mr-5 {
    margin-right: 5px;
}
.mr-10 {
    margin-right: 10px;
}
.mr-15 {
    margin-right: 15px;
}
.mr-20 {
    margin-right: 20px;
}
.mr-30 {
    margin-right: 30px;
}

.flex-150 {
    flex-basis: 150px
}

.flex-200 {
    flex-basis: 200px
}
.flex-280 {
    flex-basis: 280px
}
.flex-300 {
    flex-basis: 300px
}

.flex-400 {
    flex-basis: 400px
}

.flex-500 {
    flex-basis: 500px
}

.flex-600 {
    flex-basis: 600px
}

.nowrap {
    white-space: nowrap
}
.break {
    white-space: break-spaces
}

.wid600 {
    width: 100%;
    max-width: 600px;
    margin: 0 auto
}

.wid650 {
    width: 100%;
    max-width: 650px;
    margin: 0 auto
}

.wid800 {
    width: 100%;
    max-width: 800px;
    margin: 0 auto
}

.scrollhide {
    overflow: auto;
    -ms-overflow-style: none;
    scrollbar-width: none
}

.scrollhide::-webkit-scrollbar {
    display: none
}

.scorllstyle {
    overflow: -moz-scrollbars-vertical;
    overflow-y: scroll;
    scrollbar-color: #e1ed54 transparent;
    scrollbar-width: thin;
}

.scorllstyle::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}

.scorllstyle::-webkit-scrollbar-track {
    background: 0 0;
    border-radius: 10px
}

.scorllstyle::-webkit-scrollbar-thumb {
    background: #e1ed54;
    border-radius: 10px
}

.line20 {
    line-height: 20px
}
.line24 {
    line-height: 24px
}
.line40 {
    line-height: 40px
}
.basis100 {
    flex-basis: 100px
}
.basis150 {
    flex-basis: 150px
}
.basis200 {
    flex-basis: 200px
}
.basis280 {
    flex-basis: 280px
}
.basis300 {
    flex-basis: 300px
}

.basis400 {
    flex-basis: 400px
}

.grid-nowrap {
    grid-auto-flow: column
}

.order-0 {
    order: -1
}
.z-1 {
    z-index: 1;
}
.z-2 {
    z-index: 2;
}
.z-3 {
    z-index: 3;
}
.font-normal {
    font-weight: normal
}
.font-size-0-8 {
    font-size: 0.8em;
}
.font-size-0-9 {
    font-size: 0.9em;
}
.font-size-1 {
    font-size: 1em;
}
.font-size-1-2 {
    font-size: 1.2em;
}
.font-size-1-5 {
    font-size: 1.5em;
}
.font-size-2 {
    font-size: 2em;
}
.font-size-2-5 {
    font-size: 2.5em;
}

.font-size-3 {
    font-size: 3em;
}
.font-size-4 {
    font-size: 4em;
}
.font-normal {
    font-weight: normal;
}
/* radius */
.radius-5 {
    border-radius: 5px;
}
.radius-8 {
    border-radius: 8px;
}
.radius-10 {
    border-radius: 10px;
}
.radius-15 {
    border-radius: 15px;
}
.radius-20 {
    border-radius: 20px;
}
.radius-30 {
    border-radius: 30px;
}
.radius-100 {
    border-radius: 100px;
}
.radius-200 {
    border-radius: 200px;
}
.min-w24 {
    min-width: 24px
}
.min-w30 {
    min-width: 30px
}
.min-w40 {
    min-width: 40px
}
.min-w50 {
    min-width: 50px
}
.max-w24 {
    max-width: 24px
}
.max-w30 {
    max-width: 30px
}
.max-w40 {
    max-width: 40px
}
.max-w50 {
    max-width: 50px
}
.max-w100 {
    max-width: 100px
}
.max-w120 {
    max-width: 120px
}
.max-w189 {
    max-width: 189px
}
.max-w350 {
    max-width: 350px
}
.max-w400 {
    max-width: 400px
}
.max-w500 {
    max-width: 500px
}
.max-w600 {
    max-width: 600px
}
.max-w650 {
    max-width: 650px
}
.max-w700 {
    max-width: 700px
}
.heigth-24 {
   height: 24px 
}
.heigth-30 {
   height: 30px 
}
.heigth-40 {
   height: 40px 
}
.heigth-50 {
   height: 50px 
}
.max-h100 {
    max-height: 100px
}
.max-h200 {
    max-height: 200px
}
.max-h300 {
    max-height: 300px
}
.border {
    border: 1px solid #eee;
}
.border-b {
    border-bottom: 1px solid #eee;
}
.border-t {
    border-top: 1px solid #eee;
}
.border-right {
     border-right: 1px solid #eee;
}
.border-left {
     border-left: 1px solid #eee;
}
.border-dash {
    border: 2px dashed #eee;
}
.abs-fullsize {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
    top: 0;
    right: 0;
}
.object-fit {
    position: relative;
    width: 100%;
    object-fit: cover;
    object-position: center;
    z-index: 1;
}
.ellipsis-x {
    white-space:nowrap;
    text-overflow:ellipsis;
    overflow:hidden;
}
.ellipsis-y {
    display:-webkit-box; 
    -webkit-line-clamp:2;
    -webkit-box-orient:vertical;
    overflow:hidden;
    cursor: pointer
}
.pointer {
    cursor: pointer
}

.scroll-box {
    scroll-snap-type: y mandatory;
    scroll-margin-top: 50px;
}

.sticky {
    position: sticky;
    top: 20px
}

.enfont {
	font-family:Tahoma,Arial,sans-serif
}

.hr-op:hover {
    opacity: 0.3
}

.scrollbox {
    scroll-snap-type: y mandatory;
  scroll-margin-top: 130px;
}
@media (max-width:700px) {
    .primg-block {
        align-items: center
    }
}